﻿namespace PrismAttempt.Abstractions
{
  using System.Collections.Generic;
  using System.Threading.Tasks;
  using MvvmStart.Models;

  public interface IFlickrService
  {
    Task<List<FlickrSearchItem>> SearchAsync(string searchTerm);
    Task<string> GetImageTitleAsync(long photoId);
    Task<string> GetMediumSizeImageUrlAsync(long photoId);
  }
}
