﻿namespace MvvmStart.Services
{
  using System;
  using System.Diagnostics;
  using System.Net.Http;
  using System.Runtime.InteropServices.WindowsRuntime;
  using System.Threading.Tasks;
  using AbstractionsLibrary;
  using Windows.Storage;
  using Windows.Storage.Streams;

  internal class PhotoSavingService : IPhotoSavingService
  {
    public PhotoSavingService()
    {

    }
    public async Task SavePhotoToPicturesLibraryAsync(
      Uri pictureUrl)
    {
      HttpClient client = new HttpClient();

      Byte[] downloadBytes = 
        await client.GetByteArrayAsync(pictureUrl.ToString());

      StorageFile file = await 
        KnownFolders.PicturesLibrary.CreateFileAsync(
            "flickrPicture.jpg",
            CreationCollisionOption.GenerateUniqueName);
      
      IRandomAccessStream stream = await file.OpenAsync(
        FileAccessMode.ReadWrite);

      await stream.WriteAsync(downloadBytes.AsBuffer());

      await stream.FlushAsync();
    }
  }
}


        
